Docs

Delete a payment method for a customer

Deletes a customer payment method using its ID.

DELETE /customers/{customer_id}/payment-methods/{payment_method_id}

Deletes a customer payment method using its ID.

Deleted payment methods are no longer saved and presented to the customer for future purchases.

Saved payment methods can't be deleted if tied to an active, trialing, paused, or past_due subscription. Update the subscription's payment method first, then delete the saved payment method.

There's no way to recover a deleted saved payment method. It's permanently removed from that customer.

Requires payment_method.write permission.

Path parameters

customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Unique Paddle ID for this customer entity, prefixed with ctm_.
Pattern: ^ctm_[a-z\d]{26}$
payment_method_idstringrequired
Paddle ID of the payment method entity to work with.

Was this page helpful?